<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
?>
<div id="post-<?php dcPostID(); ?>" class="hentry post">
	<h2 class="entry-title">
		<?php dcPostTitle(); ?>
	</h2>
	<div class="entry-content">
		<div class="post-content">
			<?php dcPostContent(); ?>
		</div>
	</div>
	<div class="entry-meta">
		Cet article a &eacute;t&eacute; &eacute;crit par <?php dcPostAuthor(); ?>, soumis le <?php dcPostDate(); ?>, 
		<span class="cat-links">rang&eacute; dans <a rel="category tag" href="<?php dcPostCatURL(); ?>"><?php dcPostCatTitle(); ?></a></span>
		<span class="meta-sep">.</span>
		Marquer cette page avec son
		<a rel="bookmark" title="Permalien vers <?php dcPostTitle(); ?>" href="<?php dcPostURL(); ?>">permalien</a>
		<span class="meta-sep">.</span>
		<a title="Soumettre un commentaire" href="#comment-form" class="comment-link">Soumettre un commentaire</a>
		<?php if (dcPostOpenTrackbacks() && dc_allow_trackbacks) : ?>
			ou laisser un r&eacute;trolien : <a class="trackback-link" rel="trackback" title="URL de retrolien pour votre article" href="<?php echo dcPostTrackBackURI(); ?></p>">URL de r&eacute;trolien</a>
		<?php else: ?>
			Les trackbacks pour ce billet sont ferm&eacute;s.
		<?php endif; ?>					
	</div><!-- .entry-meta -->
</div><!-- #post-ID -->



<div id="trackbacks">
	<h3 id="tb">R&eacute;troliens</h3>
	<?php if ($trackbacks->isEmpty()) : /* Message si aucune trackback */?>
		<p>Pas encore !</p>
	<?php endif; ?>
	
	<?php while ($trackbacks->fetch()) : /* Liste des trackbacks */
		// On met le numro du trackback dans une variable
		$tb_num = $trackbacks->int_index+1;
	?>
	<p id="c<?php dcTBID(); ?>" class="comment-info">
			<span class="comment-number"><a href="#c<?php dcTBID(); ?>"><?php echo $tb_num; ?>.</a></span>
			Le <?php dcTBDate(); ?> &agrave;
				<?php dcTBTime(); ?>, de
				<strong><?php dcTBAuthor(); ?></strong>
		</p>
		<?php /* on affiche le trackback */ ?>
		<blockquote>
			<?php dcTBContent(); ?>
		</blockquote>
	<?php endwhile; ?>
</div><!-- #trackbacks -->
	
<div id="comments">
	<?php if (!$comments->isEmpty()) : /* Titre si commentaires */	?>
		<h3 id="co">Commentaires</h3>
	<?php endif; ?>
	
	<?php while ($comments->fetch()) : /* Boucle de commentaires */
		// On met le numro du commentaire dans une variable
		$co_num = $comments->int_index+1;
	?>
		<p id="c<?php dcCommentID(); ?>" class="comment-info">
		<span class="comment-number"><a href="#c<?php dcCommentID(); ?>"><?php echo $co_num; ?>.</a></span>
		Le <?php dcCommentDate(); ?> &agrave;
		<?php dcCommentTime(); ?>, par
		<strong><?php dcCommentAuthor(); ?></strong></p>
		
		<?php /* on affiche le commentaire */ ?>
		<blockquote>
			<?php dcCommentContent(); ?>
		</blockquote>
	<?php endwhile; ?>
	
	<h3>Soumettre un commentaire</h3>
	<?php if (dcPostOpenComments() && dc_allow_comments) : /* Si les commentaires sont permis */?>
		<?php if (dc_allow_comments) : /* Si les commentaires sont permis */?>
			<?php include dirname(__FILE__).'/form.php'; ?>
		<?php endif; ?>
	<?php else : ?>
		<p>Les commentaires pour ce billet sont ferm&eacute;s.</p>
	<?php endif; ?>
</div><!-- #comments -->
