<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
?>
<?php include dirname(__FILE__).'/header.php'; ?>
	<body>
		<div id="wrapper" class="hfeed">
			<div id="global">
				<div id="header">
					<h1 id="blog-title">
						<a href="<?php dcInfo('url'); ?>" title="<?php dcInfo(); ?>" rel="home">
							<span>
								<?php dcInfo('name'); ?>
							</span>
						</a>
					</h1>
					<div id="blog-description">
						<?php dcInfo('name'); ?>
					</div>
				</div><!--  #header -->
				<div id="access">
					<div class="skip-link">
						<a href="#content" title="Aller au contenu">Contenu</a>
					</div>
					<div class="skip-link">
						<a href="#sidebar" title="Aller au menu">Menu</a>
					</div>
					<div class="skip-link">
						<a href="#search" title="Aller &agrave; la recherche">Recherche</a>
					</div>
				</div><!-- #access -->
				<div id="container">
					<div id="content">
						<?php if ($err_msg != '') : /* Si on a une quelconque erreur, on l'affiche */?>
						<div class="error"><strong>Erreur : </strong><?php echo $err_msg; ?>
						</div>
						<?php elseif ($preview) : /* Si on demande la prvisualisation d'un commentaire */?>
						<h3>Commentaire pour <?php dcPostTitle(); ?></h3>
						<div id="comment-preview">
							<blockquote>
								<?php dcCommentPreview(); ?>
							</blockquote>
						</div>
						<h3>Changer le commentaire</h3>
						<?php include dirname(__FILE__).'/form.php'; ?>
						<?php elseif ($mode != 'post') : /* Si aucune erreur et mode != post on affiche une liste de billets */?>
							<?php # Phrase affich en cas de recherche (%s est le mot cherch) 
							dcSearchString('<p>R&eacute;sultats de votre recherche de <em>%s</em>.</p>'); ?>
							<?php include dirname(__FILE__).'/list.php'; ?>
							<?php else : /* Sinon, mode = post, donc billet unique (avec commentaires et tout le reste)*/?>
							<?php include dirname(__FILE__).'/post.php'; ?>
						<?php endif; ?>
					</div><!-- #content -->
				</div><!-- #container -->
				<div id="sidebar">
					<?php include dirname(__FILE__).'/sidebar.php'; ?>
					<p id="footer">
						<a href="http://www.dotclear.net/">propuls&eacute; par DotClear</a>
					</p>
				</div><!-- #sidebar -->
			</div><!-- #global -->
		</div><!-- #wrapper -->
	</body>
</html>